[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONEnum

JSON enumerator loop variable type

## Declaration

Source position: fpjson.pp line 93

`type TJSONEnum = record`
`Key: TJSONStringType;` |  | String Key value
`KeyNum: Integer;` |  | Numerical key value
`Value: TJSONData;` |  | Actual value
`end;`

## Description

TJSONEnum is the loop variable type to use when implementing a JSON enumerator (for in). It contains 3 elements which are available in the loop: key, keynum (numerical key) and the actual value (TJSONData).

## See also

TBaseJSONEnumerator |  | JSON enumerator
TJSONData.GetEnumerator |  | Return an enumerator for the data